Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 186521 - Wrong path returned by remote file chooser
Wrong path returned by remote file chooser
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
6.x
PC Windows Vista
: P1 (vote)
: 6.x
Assigned To: Vladimir Kvashin
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-21 16:11 UTC by Alexander Pepin
Modified: 2010-05-28 10:06 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Pepin 2010-05-21 16:11:47 UTC
There are two issues here:
- returned path contains backslashes instead of slashes e.g. "\shared\dp\sstrunk"
- returned path contains doubled parts if a user expanded nodes in file chooser by double-click

Steps to reproduce:
- add remote host
- call  "Add New Tool Collection" dialog
- press "Browse" in "Add New Tool Collection" dialog
- navigate to the root directory
- expand (press on [+] sign) "shared" node
- expand (press on [+] sign) "dp" node
- double-click on "sstrunk" node to expand it, it's expanded, "File Name" field contains right path "/shared/dp/sstrunk"
- press Open
Result: Base directory field in "Add New Tool Collection" dialog contains 
"\shared\dp\sstrunk\shared\dp\sstrunk".

It looks for me as a potential showstopper.
Comment 1 Alexander Pepin 2010-05-24 12:20:29 UTC
It makes remote file chooser mostly unusable on windows and it should be fixed in 6.9.
Comment 2 Vladimir Kvashin 2010-05-25 11:08:40 UTC
Fixed in cnd-main
http://hg.netbeans.org/cnd-main/rev/daf7766442a4
Comment 3 Vladimir Kvashin 2010-05-25 12:30:39 UTC
Additional fix
http://hg.netbeans.org/cnd-main/rev/eeb12e6ad784
Comment 4 Andrew Krasny 2010-05-25 12:32:22 UTC
reviewed the fix.
Looks safe and correct
Comment 5 Vladimir Kvashin 2010-05-25 15:08:56 UTC
The final one: fixed NPE on Mac
http://hg.netbeans.org/cnd-main/rev/e379c59bd42e
Comment 6 Alexander Simon 2010-05-25 15:18:42 UTC
Fix of NPE was reviewed. Looks absolutely safe and correct.
Comment 7 Alexander Pepin 2010-05-25 17:01:52 UTC
Great! Now it works just fairily on Windows. Will check other platforms for regressions tomorrow.
Comment 8 Quality Engineering 2010-05-26 07:18:40 UTC
Integrated into 'main-golden', will be available in build *201005260001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/daf7766442a4
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #186521 -  Wrong path returned by remote file chooser
Comment 9 Alexander Pepin 2010-05-26 15:47:20 UTC
The fix is verified on all platforms, please push it into release69 clone.
Comment 11 Alexander Pepin 2010-05-28 10:06:14 UTC
verified in rc2 build


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo